%%  gnmbeobreg_i.m
%%  Kap. 11.5
%%  Initialisierungsdatei zu gnmbeobreg.mdl

%% Maschinen- und allgemeine Simulationsdaten
Tstop = 0.8 ;                       % Stopp der Simulation
step_max = 0.000005 ;               % Maximale Schrittweite
ws_decim = 10 ;                     % Workspace-Decimation
%% Stromrichter
T_t = 0.0001 ;                      % Totzeit des Stromrichters
%% Drehzahlsollwert-Impulse
T_Nsoll = 0.8 ;                     % Dauer einer Periode   [ s ]
N_soll  = 500/60 ;                  % Solldrehzahl          [ 1/s ]
%% Ankerspannungssollwert-Impulse
T_UAsoll = T_Nsoll ;                % Dauer einer Periode   [ s ]
UA_soll  = N_soll ;                 % Sollspannung          [ V ]
%% Widerstandsmomenten-Sprung
T_MW = 0.4 ;                        % Zeitpunkt des Sprungs [ s ]
MW   =  10 ;                        % Sprunghhe            [ 1/s ]

%% SS-LTI-Modell Strecke erzeugen
beob   = ss([],[0 0],[],0) ;        % Beobachter initialisieren
beobx0 = [ 0 ] ;                    % Beobachter Anfangszustnde
k      = [ 0 0 0 ] ;                % Rckfhrvektor
K_V    = 1 ;                        % Vorfaktor initialisieren
sel_aus = [1 1] ;                   % 2 Selectorausgnge 
sel_in  = 1  ;                      % Anzahl Selectoreingang

[A,B,C,D] = linmod('gnmbeobreg');   % System-Matrizen extrahieren
sys       = ss(A,B,C,D);            % LTI-Modell Strecke
sysbeob   = sys(1,1)                % LTI-Modell fr Beobachterentwurf
syszreg   = sys(2,1)                % LTI-Modell fr Reglerentwurf
